package tech.nevets.todoserver;

import com.google.gson.Gson;

import java.util.List;

public class ToDoList {
    private int id;
    private String ownerAuthKey; // This is terrible security wise, TODO change this with account system
    private List<ToDoItem> toDoItems;

    public ToDoList() {}

    public ToDoList(int id, String ownerAuthKey) {
        this.id = id;
        this.ownerAuthKey = ownerAuthKey;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getOwnerAuthKey() {
        return ownerAuthKey;
    }

    public void setOwnerAuthKey(String ownerAuthKey) {
        this.ownerAuthKey = ownerAuthKey;
    }

    public List<ToDoItem> getToDoItems() {
        return toDoItems;
    }

    public void setToDoItems(List<ToDoItem> toDoItems) {
        this.toDoItems = toDoItems;
    }

    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
